VMD(8)

NAME
vmd - virtual machine daemon

SYNOPSIS
vmd [-dnv] [-D macro=value] [-f file]

DESCRIPTION
vmd is a daemon responsible for the execution of virtual machines (VMs) on a host. vmd is typically started at boot time and is controlled via vmctl(8).

vmd can be enabled during system boot by setting the following in /etc/rc.conf.local:

    vmd_flags=""

vmd interfaces with the virtual machine monitor (VMM) built into the kernel. One instance of vmd will be spawned for each VM running on the host, plus an extra instance for control operations. Each child vmd will in turn create one or more VCPU (virtual CPU) threads responsible for driving the VM's operations using vmm(4).

vmd is also responsible for proxying various other commands/requests from vmctl(8), such as stopping VMs, and retrieving information from vmm(4) about running VMs.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize and log to stderr.

-f file
    Specify an alternative configuration file. The default is /etc/vm.conf.

-n  Configtest mode. Only check the configuration file for validity.

-v  Verbose mode. Multiple -v options increases the verbosity.

FILES
/etc/vm.conf
    Default configuration file. This is optional.
/var/run/vmd.sock
    UNIX-domain socket used for communication with vmctl(8).

SEE ALSO
vmm(4), vm.conf(5), rc.conf(8), vmctl(8)

HISTORY
The vmd command first appeared in OpenBSD 5.9.

AUTHORS
Mike Larkin <mlarkin@openbsd.org> and Reyk Floeter <reyk@openbsd.org>